GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_winsocket Struct Reference

`#include <socket_windows.h>`

## Data Fields
SOCKET | socket
grpc_winsocket_callback_info | write_info
grpc_winsocket_callback_info | read_info
gpr_mu | state_mu
int | added_to_iocp
int | orphan
grpc_iomgr_closure | shutdown_closure
grpc_iomgr_object | iomgr_object

## Field Documentation

int grpc_winsocket::added_to_iocp

grpc_iomgr_object grpc_winsocket::iomgr_object

int grpc_winsocket::orphan

grpc_winsocket_callback_info grpc_winsocket::read_info

grpc_iomgr_closure grpc_winsocket::shutdown_closure

SOCKET grpc_winsocket::socket

gpr_mu grpc_winsocket::state_mu

grpc_winsocket_callback_info grpc_winsocket::write_info

The documentation for this struct was generated from the following file:

- src/core/iomgr/socket_windows.h